@echo off
rem Brian Lewis 1999
rem
rem batch file for making arcmon.sys
rem
rem Tools used:
rem Assembler - TASM
rem Linker    - TLINK
rem Converter - BIN
rem
rem Just about any 8086 assembler (MASM etc.) or linker (LINK etc.)
rem could be used in place of the Borland tools used
rem
rem Also - EXE2BIN can be used instead of BIN
rem I used BIN as EXE2BIN is not freely distributed anymore with DOS
rem and EXE2BIN will only work on the DOS version it was supplied with

rem When making ARCMON.SYS you should get the following warnings:

rem "tasm"  :  no warnings

rem "tlink" : 'Warning no stack'
rem         - we're (initially) making a COM file,
rem           so we don't need to define a stack, it starts at the end
rem           of our 64K segment automatically

rem "bin"   : '-Warning: COM file IP not 0100h'
rem         - this is fine as a device driver has a special structure at 0h
rem           and no PSP, so the IP isn't set to the end of the PSP (0100h)
rem           as it would be for a normal COM file

rem assemble
tasm arcmon.asm
if errorlevel==1 goto err

rem link
tlink arcmon arcmon
if errorlevel==1 goto err

rem convert to .com
bin arcmon.exe arcmon.com
if errorlevel==1 goto err

rem copy to .sys
copy arcmon.com arcmon.sys
:err
